# Class UsageWriterMan

java.lang.Object
uk.ac.starlink.ttools.build.UsageWriterMan

public class UsageWriterMan extends Object

## Constructor Summary

Constructors
Constructor
Description
`UsageWriterMan()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatXML(String xml)`
`static String`
`formatXML(Node doc)`
`static String`
`getStiltsOptions(Document doc)`
`static String`
`getStiltsSynopsis()`
`static String`
`getStiltsTasks(String[] taskNames)`
`static String`
`getTaskDescription(String taskName, Document doc)`
`static String`
`getTaskOptions(uk.ac.starlink.task.Task task)`
`static String`
`getTaskSynopsis(String taskName, uk.ac.starlink.task.Task task)`
`static void`
`main(String[] args)`
`static String`
`manPage(String[] taskNames, Document doc)`
`static String`
`manPage(String taskName, Document doc)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsageWriterMan

public UsageWriterMan()

## Method Details

### manPage

public static String manPage(String taskName, Document doc) throws IOException, SAXException, uk.ac.starlink.util.LoadException, ParserConfigurationException

Throws:
  `IOException`
  `SAXException`
  `uk.ac.starlink.util.LoadException`
  `ParserConfigurationException`

### getTaskSynopsis

public static String getTaskSynopsis(String taskName, uk.ac.starlink.task.Task task)

### getTaskOptions

public static String getTaskOptions(uk.ac.starlink.task.Task task) throws SAXException, IOException, ParserConfigurationException

Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`

### getTaskDescription

public static String getTaskDescription(String taskName, Document doc)

### manPage

public static String manPage(String[] taskNames, Document doc) throws uk.ac.starlink.util.LoadException

Throws:
  `uk.ac.starlink.util.LoadException`

### getStiltsSynopsis

public static String getStiltsSynopsis()

### getStiltsOptions

public static String getStiltsOptions(Document doc)

### getStiltsTasks

public static String getStiltsTasks(String[] taskNames) throws uk.ac.starlink.util.LoadException

Throws:
  `uk.ac.starlink.util.LoadException`

### formatXML

public static String formatXML(String xml) throws SAXException, IOException, ParserConfigurationException

Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`

### formatXML

public static String formatXML(Node doc)

### main

public static void main(String[] args) throws IOException, uk.ac.starlink.util.LoadException, SAXException, ParserConfigurationException

Throws:
  `IOException`
  `uk.ac.starlink.util.LoadException`
  `SAXException`
  `ParserConfigurationException`